Subject: [Sipping] Missing step in RFC 3263, section 5

From: "Frank Shearar" <[email-masked]>
Date: Fri, 25 Feb 2005 16:13:03 -0000

Section 5 tells us how to determine failover servers for sending responses.

At the end of the section, it describes how to find target servers if the sent-by is a domain and no port is specified. It says:

   If, however, the sent-by field contained a domain name and no port,
   the server queries for SRV records at that domain name using the
   service identifier "_sips" if the Via transport is "TLS", "_sip"
   otherwise, and the transport from the topmost Via header ("TLS"
   implies that the transport protocol in the SRV query is TCP).  The
   resulting list is sorted as described in [2], and the response is
   sent to the topmost element on the new list described there.  If that
   results in a failure, the next entry on the list is tried.

What happens if the server finds no SRV records?

It seems reasonable to copy the missing step from the algorithm in 4.2, and do an A/AAAA query on the sent-by, and iterate over those, using the transport in the Via and the transport's default port.

frank

*******************************************************************
This email and attachments (if any) must be swept for viruses before opening. Their contents may be confidential or privileged and are intended solely for the named recipient. If you are not the intended recipient and you have received this email in error you must not read or use this email and should notify RNID on: +44 (0) 20 7296 8282.

RNID, Registered Office 19-23 Featherstone Street, London EC1Y 8SL No. 454169 (England, Registered Charity No. 207720)

********************************************************************

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP